local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____shouldFire = require("shouldFire")
local shouldFireTear = ____shouldFire.shouldFireTear
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostTearRenderFilter = __TS__Class()
local PostTearRenderFilter = ____exports.PostTearRenderFilter
PostTearRenderFilter.name = "PostTearRenderFilter"
__TS__ClassExtends(PostTearRenderFilter, CustomCallback)
function PostTearRenderFilter.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireTear
    self.postTearRender = function(____, tear, renderOffset)
        self:fire(tear, renderOffset)
    end
    self.callbacksUsed = {{ModCallback.POST_TEAR_RENDER, self.postTearRender}}
end
return ____exports
